Rename the extension and find some good icon [ [
07/01/2021 12:57 PM - koszko

Status: Closed Start date: 07/01/2021
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

In addition to the extension itself, the documentation (https://hachettebugs.koszko.org/projects/hachette/wiki) will also have to be
updated.

History

#1 - 07/06/2021 12:13 PM - jahoti
- Subject changed from find some good hatchet icon and rename the extension to "Hachette" to Rename the extension and find some good icon

- Description updated

Adjusted in reference to https://hachettebugs.koszko.org/boards/2/topics/6

#2 - 07/19/2021 09:03 AM - jahoti

- Assignee set to jahoti

The renaming part shouldn't take too long

#3 - 07/19/2021 12:57 PM - jahoti
- Assignee deleted (jahoti)
- % Done changed from 0 to 40

Patches for renaming have been pushed to both the jahoti and nonce-PoC branches.

All that remains, if that went smoothly and becomes suitable for merging, is to select an icon. Given that there don't seem to be any artists here (I'm
certainly not one), it might be best to either:

e choose something simple and abstract (say, a letter H with a line through it), or
e hire/seek help from someone with someone who is :)

#4 - 07/19/2021 01:12 PM - koszko

How about:
h : licdomainv rs.org/en hatch

Out of those, | personally liek this one the most:
https: licdomainv rs.org/en/free-clipart/Hatchet-image/62478.html

P.S. I'll merge it together with the icon once we agree on it
#5 - 07/20/2021 12:01 AM - jahoti

Oh yes! That looks great, and after looking through the others | completely agree with picking it. Patch incoming!

#6 - 07/20/2021 12:15 PM - koszko
- Subject changed from Rename the extension and find some good icon to Rename the extension and find some good icon ([
- Status changed from New to Feedback

- % Done changed from 40 to 90

Chromium rejected SVG icons, so | made it into PNG of various sizes. | automatized this with an sh loop and an inkscape command. However, | put it
in a separate script instead of build.sh, because people shouldn't be required to have inkscape installed in order to build Hachette. For now, we can
re-generate and commit the PNGs every time the icon gets updated (which | don't expect to happen often).

Also, | thought a slightly rotated hatched would look cool. Especially that icons are square anyway, which gives plenty of room for rotating. | pushed it
on my branch, waiting for your feedback

#7 - 07/21/2021 01:05 AM - jahoti

| pushed it on my branch, waiting for your feedback

It's an emphatic "yes" from me on all counts!

(except Chromium rejecting SVGs- would it have killed Google to implement an actual feature for once?)

#8 - 07/21/2021 09:18 AM - koszko
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Merged to master :)
